Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186558 - Apply Code Changes does not take advantage of Compile on Save
Apply Code Changes does not take advantage of Compile on Save
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 8.0
Assigned To: Milos Kleint
issues@projects
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 15:40 UTC by ecastro
Modified: 2013-09-17 08:47 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ecastro 2010-05-23 15:40:48 UTC
The Apply Code Change feature of the debugger is slow with Maven projects. It runs the complete Maven compile target. 
When 'compile on save' is activated for a project, this should also apply to the debugging code change.

Tested on NB6.9 Product Version: NetBeans IDE Dev (Build nbms-and-javadoc-5213-on-100521)
Comment 1 Milos Kleint 2013-02-21 12:35:17 UTC
mentlicher: is this what we have discussed and fixed lately?
Comment 2 Milos Kleint 2013-09-03 12:10:05 UTC
DebuggerChecker class is where the check for CoS should be added.
Comment 3 Milos Kleint 2013-09-17 08:47:21 UTC
http://hg.netbeans.org/core-main/rev/e9ffa15c6496


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo